Bug 1662583 - [abrt] gnome-control-center: slab_allocator_free_chunk(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: slab_allocator_free_chunk(): gnome-control-cente...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:265cd0a7f48b478e00d68666e2d...
: 1691876 1692138 1695468 1703056 1756352 (view as bug list)
Depends On:
Blocks: 1694979
TreeView+ depends on / blocked
 
Reported: 2018-12-30 12:45 UTC by Matthias Andree
Modified: 2019-11-27 18:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:13:30 UTC


Attachments (Terms of Use)
File: backtrace (80.61 KB, text/plain)
2018-12-30 12:45 UTC, Matthias Andree
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-30 12:45 UTC, Matthias Andree
no flags Details
File: core_backtrace (20.24 KB, text/plain)
2018-12-30 12:45 UTC, Matthias Andree
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-12-30 12:45 UTC, Matthias Andree
no flags Details
File: dso_list (35.16 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: environ (4.57 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: maps (188.00 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: mountinfo (4.32 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: open_fds (3.48 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-12-30 12:46 UTC, Matthias Andree
no flags Details

Description Matthias Andree 2018-12-30 12:45:53 UTC
Version-Release number of selected component:
gnome-control-center-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=e545b1eca2ac4875ac27c1e098c0f2db;i=9af71;b=7878a97091a24080bb4fbd1a5835dbec;m=2571fe8a;t=57e3c7d75aa6e;x=935633948e9c87c9
kernel:         4.19.10-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 slab_allocator_free_chunk at gslice.c:1366
 #1 magazine_cache_trim at gslice.c:678
 #2 magazine_cache_push_magazine at gslice.c:709
 #3 thread_memory_magazine2_unload at gslice.c:1117
 #4 g_slice_free1 at gslice.c:1117
 #5 g_slist_foreach at gslist.c:864
 #6 pango_layout_line_unref at ../pango/pango-layout.c:4061
 #7 pango_layout_clear_lines at ../pango/pango-layout.c:2855
 #8 layout_changed at ../pango/pango-layout.c:1271
 #9 pango_layout_set_attributes at ../pango/pango-layout.c:614

Potential duplicate: bug 1592215

Comment 1 Matthias Andree 2018-12-30 12:45:56 UTC
Created attachment 1517442 [details]
File: backtrace

Comment 2 Matthias Andree 2018-12-30 12:45:57 UTC
Created attachment 1517443 [details]
File: cgroup

Comment 3 Matthias Andree 2018-12-30 12:45:58 UTC
Created attachment 1517444 [details]
File: core_backtrace

Comment 4 Matthias Andree 2018-12-30 12:45:59 UTC
Created attachment 1517445 [details]
File: cpuinfo

Comment 5 Matthias Andree 2018-12-30 12:46:01 UTC
Created attachment 1517446 [details]
File: dso_list

Comment 6 Matthias Andree 2018-12-30 12:46:02 UTC
Created attachment 1517447 [details]
File: environ

Comment 7 Matthias Andree 2018-12-30 12:46:03 UTC
Created attachment 1517448 [details]
File: exploitable

Comment 8 Matthias Andree 2018-12-30 12:46:04 UTC
Created attachment 1517449 [details]
File: limits

Comment 9 Matthias Andree 2018-12-30 12:46:06 UTC
Created attachment 1517450 [details]
File: maps

Comment 10 Matthias Andree 2018-12-30 12:46:07 UTC
Created attachment 1517451 [details]
File: mountinfo

Comment 11 Matthias Andree 2018-12-30 12:46:09 UTC
Created attachment 1517452 [details]
File: open_fds

Comment 12 Matthias Andree 2018-12-30 12:46:10 UTC
Created attachment 1517453 [details]
File: proc_pid_status

Comment 13 Matthew Saltzman 2019-01-17 13:35:04 UTC
Similar problem has been detected:

Was adding a new printer around that time, but I don't recall that the app stopped while I was interacting with it.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=9a9ec60234814bc486e6d37074d5191d;i=14d0370;b=b4ee7b24858942d598104034c138ee67;m=9d464e21d;t=57f98dc1d143e;x=58e5c3bd3998338b
kernel:         4.19.14-300.fc29.x86_64
package:        gnome-control-center-3.30.2-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 samuel.oggier 2019-02-03 20:19:50 UTC
Similar problem has been detected:

Possible cause:
Enqueuing a test page in "Printing Options" and closing that window from unlocked settings (in this case before the print job completed or stopped)

Additional information:
* A single, freshly installed printer has been used: HP-Color-LaserJet-1600 (USB)
* So far, a crash did only occurr, when the settings were unlocked.
* Had to reinstall the printer (remove and add from printer settings) to get it working, but that did not appear to make a difference

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=095de2a28d0b4eb0a197d0c33e57b1cd;i=158cb6;b=9dcc417db8f840a8a355d5d1a25f9877;m=8075d44f1;t=581022e65857f;x=903f8c9987f86ac1
kernel:         4.20.5-200.fc29.x86_64
package:        gnome-control-center-3.30.2-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Isael 2019-02-19 18:17:05 UTC
Similar problem has been detected:

A impressora ficou sumindo e aparecendo até a janela travar.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=1d70f86fad5c4281bd1f504db7f7f1a0;i=5f6c;b=4037b3a63a0449459cbd369169f0be0a;m=22a9576c6;t=5822f2d358ba3;x=be8bccc22e27e867
kernel:         4.20.8-200.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 R. Antonn Tiellet 2019-03-22 17:36:21 UTC
*** Bug 1691876 has been marked as a duplicate of this bug. ***

Comment 17 Cornel Ahlers 2019-03-24 15:23:09 UTC
*** Bug 1692138 has been marked as a duplicate of this bug. ***

Comment 18 Jan Vlug 2019-04-01 15:39:41 UTC
Similar problem has been detected:

I was just added a new HP M281fdw ColorLaserJet printer. And was in the process of trying to print a test page.

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        gnome-control-center
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=9ade0f814ca940aa8c47de318bc6d34a;i=154b89;b=b254dc12cc9748db9fc4c1cf19945c4a;m=74f16f4c6;t=58579ae6a5634;x=7687e71bad7511bd
kernel:         5.0.4-200.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Jan Vlug 2019-04-02 08:15:28 UTC
See also bug 1578809 which I think is the same.
Duplicate of bug 1573653?

Comment 20 Jan Vlug 2019-04-02 16:22:05 UTC
Similar problem has been detected:

Configuring Printers in GNOME Settings Printers (gnome-control-center).

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        gnome-control-center
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=9ade0f814ca940aa8c47de318bc6d34a;i=15b375;b=a99d97f8a2fe47939ad11285ec198469;m=90022f3b7;t=5858dfcfadeb6;x=1c9d4eee76144b1f
kernel:         5.0.4-200.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Simone Baldelli 2019-04-03 07:46:40 UTC
*** Bug 1695468 has been marked as a duplicate of this bug. ***

Comment 22 Jan Vlug 2019-04-04 06:36:38 UTC
See bug 1694979#c4 and bug 1694979#c5 on how to reproduce this crash.

Comment 23 Darlene Germany 2019-04-25 11:58:26 UTC
*** Bug 1703056 has been marked as a duplicate of this bug. ***

Comment 24 ddssantana89 2019-08-22 02:42:12 UTC
Similar problem has been detected:

The settings app was processing a "print test page" requisiting to printer

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gnome-control-center
journald_cursor: s=ea9fe0a386324924b35ff922e44c7e16;i=a2b7;b=80f09a6f50ee417db1e045d5ad4eab55;m=31dc9b7e30;t=590ab8ace764c;x=524ddefc84b090c
kernel:         5.2.7-100.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Hector Riquelme 2019-09-27 13:00:14 UTC
*** Bug 1756352 has been marked as a duplicate of this bug. ***

Comment 26 Ben Cotton 2019-10-31 18:48:22 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-11-27 18:13:30 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.